input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    resize: vertical;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

:active, :hover, :focus {
    outline: 0 !important;
    outline-offset: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: $white;
    border-radius: rem(10);
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        z-index: 10;
        width: 100%;
        height: rem(50);
        outline: none;
        color: #847F97;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(20);
        padding: rem(14) rem(20);
        position: relative;
        background: transparent;
        display: inline-block;
        vertical-align: middle;
        border-radius: rem(10);
        border: rem(1) solid $gray-lilac;
        @include placeholder($gray);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
     //       box-shadow: 0 0 0 size-rel(3px) rgba(92, 173, 255, 0.5);
        }


        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__icon {
        z-index: 1;
        top: rem(17);
        left: rem(20);
        width: rem(16);
        height: rem(16);
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: block;

        &--search {
            stroke: $blue-dark;

            svg {
                fill: $blue-dark;

                circle {
                    fill: $white;
                }

                path {
                    fill: $blue-dark;

                }
            }
        }
    }

    &__placeholder {
        z-index: 1;
        top: 0;
        left: rem(15);
        height: rem(50);
        display: flex;
        align-items: center;
        position: absolute;
        color: #847F97;
    }

    &--icon {

        #{$input-selector} {
            padding-left: rem(58);
        }
    }

    &--white {
        background: rgba(4, 4, 4, 0.07);

        #{$input-selector} {
            color: $white;
            @include placeholder($white);

            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }

        .field__icon--search {
            stroke: $white;

            svg {
                fill: $white;

                circle {
                    fill: transparent;
                }

                path {
                    fill: $white;

                }
            }
        }
    }

    &--gray {
        background: #F6F6F9;

        #{$input-selector} {
            border-color: #F6F6F9;
        }
    }

    &--label {

        #{$input-selector} {
            padding-left: rem(35);
            padding-right: rem(14);
            @include placeholder(transparent);
        }
    }
}

.file-field {
    fill: $blue;
    color: $blue;
    height: rem(47);
    cursor: pointer;
    font-weight: 600;
    position: relative;
    font-size: rem(15);
    line-height: rem(21);
    padding: rem(8) rem(40) rem(8) rem(40);
    background: $gray-100;
    border-radius: rem(10);
    text-align: center;
    $input-selector: "input[type=file]";
    display: inline-flex;
    align-items: center;

    #{$input-selector} {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        z-index: -1;
        position: absolute;
    }

    &__icon {
        top: calc(50% - 0.5rem);
        left: rem(15);
        font-size: 0;
        line-height: 0;
        height: rem(15);
        display: inherit;
        margin-right: rem(25);
        position: absolute;
    }

    &__text {
        flex-grow: 1;
    }

    @include media-breakpoint-up(md) {
        padding: rem(8) rem(56);

        &__icon {
            left: rem(16);
        }
    }
}
